;PROJECT: SONIC MUSIC SYSTEM
;FILE: SLEEP.ASM

;COPYRIGHT 1986 BY MARK RILEY

;5/2/86: CREATED!

 INCLUDE "INCLUDES:MACROS.ASM"
 INCLUDE "INCLUDES:DOS.ASM"
 INCLUDE "INCLUDES:INTUITION.ASM"
 INCLUDE "INCLUDES:SERIALDEBUG.ASM"
 INCLUDE "INCLUDES:SYSTEM.ASM"

 DEFINE DEBUG

MAIN
 MOVE.L _INTBASE,A0
 MOVE.L IB.ACTIVEWINDOW(A0),A1

 MOVE.L WW.POINTER(A1),D0
 BEQ.S MAIN
 MOVE.L D0,A2

 BUGMSG <WW.POINTER = $>
 BUGLONG
 BUGMSGCR

 BUGMSG <WW.PTRHEIGHT = $>
 MOVE.B WW.PTRHEIGHT(A1),D0
 BUGBYTE
 BUGMSGCR

 BUGMSG <WW.PTRWIDTH = $>
 MOVE.B WW.PTRWIDTH(A1),D0
 BUGBYTE
 BUGMSGCR

 BUGMSG <WW.XOFFSET = $>
 MOVE.B WW.XOFFSET(A1),D0
 BUGBYTE
 BUGMSGCR

 BUGMSG <WW.YOFFSET = $>
 MOVE.B WW.YOFFSET(A1),D0
 BUGBYTE
 BUGMSGCR

 CLR.W D7
 MOVE.B WW.PTRHEIGHT(A1),D7
 ADDQ.W #2,D7
1$
 MOVE.L (A2)+,D0
 BUGMSG <$>
 BUGLONG
 BUGMSGCR
 SUBQ.W #1,D7
 BNE.S 1$
       
 MOVEQ #0,D0
 RTS

 END

